On the page it noted Win98/98SE/Me/2000/XP/Vista/7

by R. Proffitt Moderator - 1/21/12 10:32 AM

In Reply to: Twitter Client by manic-miner

Let's check again.

http://getsatisfaction.com/flock/topics/i_am_running_windows_me_can_i_download_an_older_version_of_flock

I see they have older versions. Just wondering, did you go look for those?
Bob